Subject: [TR] late TR3 A rear clip needed

From: carroll phillips <[email-masked]>
Date: Thu, 17 Jul 2014 19:33:58 -0400 (EDT)

Need a good rear body clip ( or parts car ) from the B posts back for a
TR3AB  ( late 1960 which has the squared rear shelf for seat)) . Ours
took a bad hit some time in its racing life. Now doing a total resto and
find it was beyond getting right from previous botched repairs (really
was that bad).B  Any help or leads would be greatly appreciated. Located
in Orange Co. New York, would prefer no to travelB  too far ( lower east
coast to mid west).
Trying to save another one,
Carroll

** [email-masked] **

Archive: http://www.team.net/archive